      program pond

!       Calculate pi using Monte-Carlo integration (throwing stones)

      implicit none

      integer :: max
      parameter (max=200)

      integer :: i, pi, iflag
      double precision :: area, x, y, drand, seed

      integer kread, kwrite
      data kread/5/, kwrite/6/


!        open file and initialize

      pi=0

      iflag=1
      seed=drandm(iflag)

      iflag=0

 
      do  i=1, max
        x = drand(iflag)*2-1
        y = drand(iflag)*2-1

        if ((x*x + y*y) .LE. 1.d0) then
        pi = pi+1
        endif

       area = 4.0 * pi/dble(i)
      end do

      write (kwrite,*) 'Area after ',max,' stone throws: ',area
     
      stop
      end

